devguard
ControlsId

Get control details by id.

GET
/controls/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/controls/string/?organizationId=string"
{  "id": "string",  "identifier": "string",  "name": "string",  "slug": "string",  "type": "CATEGORY",  "purpose": "string",  "description": null,  "isMandatory": true,  "parentId": "string",  "frameworkId": "string",  "isCentralized": true,  "createdAt": "string",  "updatedAt": "string",  "framework": {    "id": "string",    "name": "string",    "identifier": "string",    "identifierColor": "string",    "version": "string",    "isCentralized": true  },  "parent": {    "id": "string",    "identifier": "string",    "name": "string",    "slug": "string"  },  "children": [    {      "id": "string",      "identifier": "string",      "name": "string",      "slug": "string",      "type": "CATEGORY",      "purpose": "string",      "description": null,      "isMandatory": true,      "parentId": "string",      "frameworkId": "string",      "isCentralized": true,      "createdAt": "string",      "updatedAt": "string",      "framework": {        "id": "string",        "name": "string",        "identifier": "string",        "identifierColor": "string",        "version": "string"      }    }  ],  "coverages": [    {      "id": "string",      "coverageStatus": "FULL",      "coverageGap": "string",      "frameworkAdoption": {        "id": "string",        "framework": {          "name": "string",          "identifier": "string"        }      },      "linkedPolicies": [        {          "policy": {            "id": "string",            "title": "string",            "slug": "string",            "content": null          }        }      ],      "linkedAssets": [        {          "asset": {            "id": "string",            "name": "string",            "slug": "string"          }        }      ],      "linkedRisks": [        {          "risk": {            "id": "string",            "name": "string",            "slug": "string"          }        }      ],      "linkedEvidence": [        {          "id": "string",          "evidence": {            "id": "string",            "title": "string",            "shortId": 0          }        }      ]    }  ],  "sourceMatches": [    {      "id": "string",      "matchLevel": "FULL",      "matchedControl": {        "id": "string",        "identifier": "string",        "name": "string",        "slug": "string",        "framework": {          "id": "string",          "name": "string",          "identifier": "string",          "identifierColor": "string"        }      }    }  ],  "targetMatches": [    {      "id": "string",      "matchLevel": "FULL",      "control": {        "id": "string",        "identifier": "string",        "name": "string",        "slug": "string",        "framework": {          "id": "string",          "name": "string",          "identifier": "string",          "identifierColor": "string"        }      }    }  ]}

How is this guide?